com.independentsoft.exchange

## Class RetentionSettings

- java.lang.Object
- - com.independentsoft.exchange.RetentionSettings

-     public class RetentionSettings
      extends java.lang.Object

  The Class RetentionSettings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetentionSettings()` Initializes a new instance of the RetentionSettings class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Gets the comment.
    `java.util.List<RetentionPolicyTag>` | `getRetentionPolicyTags()` Gets the retention policy tags.
    `java.lang.String` | `getUrl()` Gets the url.
    `boolean` | `isEnabled()` Checks if is enabled.
    `boolean` | `isFullCrawlRequired()` Checks if is full crawl required.
    `void` | `setComment(java.lang.String comment)` Sets the comment.
    `void` | `setEnabled(boolean enabled)` Sets the enabled.
    `void` | `setFullCrawlRequired(boolean fullCrawlRequired)` Sets the full crawl required.
    `void` | `setUrl(java.lang.String url)` Sets the url.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetentionSettings

          public RetentionSettings()

      Initializes a new instance of the RetentionSettings class.

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Checks if is enabled.
      Returns:
        true, if is enabled

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Sets the enabled.
      Parameters:
        `enabled` - the new enabled

    - #### getComment

          public java.lang.String getComment()

      Gets the comment.
      Returns:
        the comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment.
      Parameters:
        `comment` - the new comment

    - #### getUrl

          public java.lang.String getUrl()

      Gets the url.
      Returns:
        the url

    - #### setUrl

          public void setUrl(java.lang.String url)

      Sets the url.
      Parameters:
        `url` - the new url

    - #### isFullCrawlRequired

          public boolean isFullCrawlRequired()

      Checks if is full crawl required.
      Returns:
        true, if is full crawl required

    - #### setFullCrawlRequired

          public void setFullCrawlRequired(boolean fullCrawlRequired)

      Sets the full crawl required.
      Parameters:
        `fullCrawlRequired` - the new full crawl required

    - #### getRetentionPolicyTags

          public java.util.List<RetentionPolicyTag> getRetentionPolicyTags()

      Gets the retention policy tags.
      Returns:
        the retention policy tags